setwd ('/home/allgoodguys/Documents/Studying/Lund_PhD/experiments/real-fake/analysis')

df = read.csv ('real-fake_indiv-answers.csv')

mod = glm(correct~trialNo, data=df, 'binomial')
summary(mod)

library (lme4)
mod = glmer (correct~trialNo + (1|id) + (1|sound), data=df, family='binomial', nAGQ=0)
summary(mod)
drop1(mod, test='Chisq')

plot (1:152, 1:152, type='n', ylim=c(0,1))
for (i in unique(df1$id)){
  temp = df1[df1$id==i,]
  mod = glm(correct~trialNo, data=temp, 'binomial')
  points (1:nrow(temp), predict(mod, type='response'), type='l' )
}

library (brms)
mod = brm (correct~trialNo + (1|id) + (1|sound), data = df, n.warmup=50, n.iter=500, n.chains=4, n.cluster=4, family='bernoulli', ranef=F)
# saveRDS(mod, 'trial-effect.RDS')
plot(mod)
summary(mod)

a  = as.matrix(mod)
colnames(a)
exp (quantile (a[,2], probs=c(.5, .025, .975)) * 100)


# Does trial effect depend on whether or not emotion name was shown?
mod = glmer (correct~trialNo*showEmotion + (1|id) + (1|sound), data=df, family='binomial', nAGQ=0)
summary(mod)
drop1(mod, test='Chisq') # no, it doesn't
